► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Init Libraries
14 | Platform Dependencies
| Index

▼ | 7 | Editor Classes

7.1 | editor<%>
7.2 | editor-admin%
7.3 | editor-canvas%
7.4 | editor-data%
7.5 | editor-data-class%
7.6 | editor-data-class-list<%>
7.7 | editor-snip-editor-admin<%>
7.8 | editor-snip%
7.9 | editor-stream-in%
7.10 | editor-stream-in-base%
7.11 | editor-stream-in-bytes-base%
7.12 | editor-stream-out%
7.13 | editor-stream-out-base%
7.14 | editor-stream-out-bytes-base%
7.15 | editor-wordbreak-map%
7.16 | keymap%
7.17 | pasteboard%
7.18 | text%

On this page:

new
get-dataclass
get-next
set-dataclass
set-next
write

top ← prev up next →

> class

> editor-data% : class?

superclass: object%

An editor-data% object contains extra data associated to a snip or region in an editor. See also Editor Data.

> > constructor

> > (new editor-data%) → (is-a?/c editor-data%)

The element returned by get-next is initialized to #f.

> > method

> > (send an-editor-data get-dataclass)

> → (or/c (is-a?/c editor-data-class%) #f)

Gets the class for this data.

> > method

> > (send an-editor-data get-next)

> → (or/c (is-a?/c editor-data%) #f)

Gets the next editor data element in a list of editor data elements. A #f terminates the list.

> > method

> > (send an-editor-data set-dataclass v) → void?

> v : (is-a?/c editor-data-class%)

Sets the class for this data.

> > method

> > (send an-editor-data set-next v) → void?

> v : (or/c (is-a?/c editor-data%) #f)

Sets the next editor data element in a list of editor data elements. A #f terminates the list.

> > method

> > (send an-editor-data write f) → boolean?

> f : (is-a?/c editor-stream-out%)

Specification: Writes the data to the specified stream, returning #t if data is written successfully or #f otherwise.

Default implementation: Returns #f.
top ← prev up next →